/*
 * IRC - Internet Relay Chat, ircd/version.c
 * Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 1, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "version.h"
#include "patchlevel.h"
#include "patchlist.h"

const char *generation = "1";
const char *creation = "Sun Mar 17 2019 at 14:22:07 EDT";
const char *version = BASE_VERSION RELEASE PATCHLEVEL PATCHLIST;

const char *infotext[] = {
    "IRC --",
    "This program is free software; see LICENSE in the distribution",
    "",
    "Based on the original code written by Jarkko Oikarinen, version 2.6:",
    "Wiz          Jarkko Oikarinen         <jto@tolsun.oulu.fi>",
    "",
    "The main developer of version u2.9 and u2.10 was:",
    "Run          Carlo Wood               <carlo@runaway.xs4all.nl>",
    "",
    "The head developer of the u2.10 source tree was:",
    "Bleep        Thomas Helvey            <tomh@inxpress.net>",
    "",
    "The current maintainors of the u2.10 source tree are:",
    "Isomer       Perry Lorier             <perry@coders.net>",
    "Kev          Kevin Mitchell           <klmitch@mit.edu>",
    "",
    "Contributors to this release:",
    "Kev, Isomer, Gte, Ghostwolf, Bleep",
    "Debugging and support:",
    "SeKs, Maniac-, HeKTik, OmniDynmc, Liandrin, Dianora",
    "Special thanks to Angel and Buff for believing in us and putting"
    "up with frantic late night phone calls"
    "",
    "Thanks goes to all other people who contributed to any version.",
    "A full listing of all coders can be found in doc/Authors in the",
    "source.",
    "",
    "Sources:",
    "[ IPcheck.c: f1d68061ec31d464a6f824bb606fe0a8  ]",
    "[ channel.c: ad39542c8abbba3fb74cb3bfc0956a64  ]",
    "[ class.c: 49865a51ee64b60cefed086577822a04  ]",
    "[ client.c: 2ebaa8ef31997629adafd6265450dbfd  ]",
    "[ convert-conf.c: a4fbbce0362d7aad72676fac328f7435  ]",
    "[ crule.c: fd5a2bdf439202561293bbf19f705ddc  ]",
    "[ dbuf.c: 826a8de9dccab926e579be95bc060569  ]",
    "[ destruct_event.c: ce9a922e82e6f7cb97b10ca1cb8b3525  ]",
    "[ engine_devpoll.c: 05c3a9f952796df2e693dfcd2af49cdc  ]",
    "[ engine_epoll.c: f2e068f63b53085cd7e49670cf09c00a  ]",
    "[ engine_kqueue.c: 172c57bfe61cb1f6da6aa7f8b4dd2b2d  ]",
    "[ engine_poll.c: 9f3be7cc7f807d1b6f178b14af7e0f37  ]",
    "[ engine_select.c: 42c02fbe44a3bd92ed6ec5e0b3be979f  ]",
    "[ fileio.c: d8872367d98ec1278ecdb1e83ed2d74f  ]",
    "[ gline.c: 86e20227269c2c2df082178705f5db07  ]",
    "[ hash.c: 4ae615c1b05eaf31ef216a4696fac195  ]",
    "[ ircd.c: 7a81f8ddd3332411cd0e2831fc612790  ]",
    "[ ircd_alloc.c: 19998d80f059a3937ba41d930b187b94  ]",
    "[ ircd_crypt.c: 2919619824316b990dbf7fc3c5164e28  ]",
    "[ ircd_crypt_native.c: 1682aee0db9802f44a84e9ff616e8e58  ]",
    "[ ircd_crypt_plain.c: 05f407aca6a5de7677bebb1ad33180e5  ]",
    "[ ircd_crypt_smd5.c: c54689931fb7e18098cfdafb352ae3bc  ]",
    "[ ircd_events.c: 125d2fb06e2f9d761b864e5cf53b07c3  ]",
    "[ ircd_features.c: 15845a06a791573d1330f8db50efccd7  ]",
    "[ ircd_lexer.l: 8400f16ff6e364de505dee9c0873817e  ]",
    "[ ircd_log.c: ba6f63a12dfa367a2199ff153e5a9b79  ]",
    "[ ircd_md5.c: 150bda811cdda669fe9d2f3340b4dbd7  ]",
    "[ ircd_parser.y: 1fc1839c32709dc4a7e7a70fbec17466  ]",
    "[ ircd_relay.c: fad75c2974f0b354132ea4b03912a04a  ]",
    "[ ircd_reply.c: b415a823573cfa3f2b4d1f9829ac100a  ]",
    "[ ircd_res.c: 8a687f965a68b41ebada456fe0af3fed  ]",
    "[ ircd_reslib.c: b9d5d27ff37ee601414c32cf8fc67be4  ]",
    "[ ircd_signal.c: 4ec5cde85788f8afe2cbae7412ba164f  ]",
    "[ ircd_snprintf.c: eac02857327e90e15947065cf9b9b8bf  ]",
    "[ ircd_string.c: 198e946b94c2b91616657e984f203a03  ]",
    "[ jupe.c: e1b658d8cc79009d3403b14a4ba5f395  ]",
    "[ list.c: 6a7ab48190786824562937b504b271f9  ]",
    "[ listener.c: 3e6fc4ead905bce0d29e0f18aefb307b  ]",
    "[ m_account.c: 2013a1dcb04c2944f94d08a2ac6e054e  ]",
    "[ m_admin.c: 20ff99d7adb309292523efb7681ef2c4  ]",
    "[ m_asll.c: 51f4e4e98ee12016db94c8c4c201d212  ]",
    "[ m_away.c: 09b7e6f1e11bf0879f8dbe492bc0cc04  ]",
    "[ m_burst.c: 2c5a459d7c7da981b09985e9ef99de66  ]",
    "[ m_cap.c: 48e8ce2ea9c81f4e08365f5e15c2a874  ]",
    "[ m_clearmode.c: dbd01368b97b2c987baa1333dde3463f  ]",
    "[ m_close.c: 0c1d6593eb371ea62a94a7ab9e07ff61  ]",
    "[ m_connect.c: 6e2f0012c5472b4e909de51eeeb567f3  ]",
    "[ m_cprivmsg.c: 56106038dd29b7a2d3eae2dafc960b00  ]",
    "[ m_create.c: f1084118531e018535a73a252dc0f0f3  ]",
    "[ m_defaults.c: abcd367133e3874bfd87f54406886020  ]",
    "[ m_destruct.c: e9bfdbca4acb1638ead676d8e15091cc  ]",
    "[ m_desynch.c: b99f3b4f00bb1c85e09eebf9456d2183  ]",
    "[ m_die.c: 9fd0bf296b654b8f675968391a3de05a  ]",
    "[ m_endburst.c: c21c3f3dff989c93edf8056c75f90a91  ]",
    "[ m_error.c: fc363670bc8ace6beaa128882b4c96da  ]",
    "[ m_get.c: 866b3939e85579f3131d4d6c18b57e31  ]",
    "[ m_gline.c: 238e9ad59faa602408ab4ebb58eef9e7  ]",
    "[ m_help.c: a741bed129245a6fc6aaabee41729976  ]",
    "[ m_info.c: a9412edf626c3a0b2de783a6c46c3851  ]",
    "[ m_invite.c: f51df47193ac5e8e7033eacbb16dee66  ]",
    "[ m_ison.c: 9a4a57775e162710265970b4bc98136e  ]",
    "[ m_join.c: 96d0bdc36ffabc8805166a6385c3edde  ]",
    "[ m_jupe.c: 75af329194a09ffe3fc09557e4418af8  ]",
    "[ m_kick.c: a8aa750b41aaab5e00d1fa9c80a3c991  ]",
    "[ m_kill.c: b86060a294d040138bee921e94c5aadd  ]",
    "[ m_links.c: 44f297541dc416f10a485b4b3a6ad289  ]",
    "[ m_list.c: cf347739d3fe75ec60e35c5520559c2c  ]",
    "[ m_lusers.c: 7fc8e89c4f526488183d88051ff348f3  ]",
    "[ m_map.c: 1ae847e7bf92a12d89d71b8d11348989  ]",
    "[ m_mode.c: 8270919af8b6da4082e3dd0deb7ad0bb  ]",
    "[ m_motd.c: 0f27322da8bc133a363f124521f30671  ]",
    "[ m_names.c: 16ec8197d50193cf5b3a80815207a213  ]",
    "[ m_nick.c: 5adf59c2006c0542841ab0acb9d2a48d  ]",
    "[ m_notice.c: 3b2924c17a7f71f85407e16ca52d6a22  ]",
    "[ m_oper.c: fea6fbf26abf375d12f771a4405e8432  ]",
    "[ m_opmode.c: 053f8bc26aa8c69045b074f4ce4fb9e2  ]",
    "[ m_part.c: f446d2cd00f1194a58b88fc16d0745d0  ]",
    "[ m_pass.c: 2f1f4721c6f81253441f37233cfa224f  ]",
    "[ m_ping.c: afd48f66a92d3c059f9d7a69bcf1e3a0  ]",
    "[ m_pong.c: e8f53ac0a08fa17a941197c2be55bfa2  ]",
    "[ m_privmsg.c: 93cabff03dd3ad252e9120357db51ebf  ]",
    "[ m_privs.c: afd9e278468358b6d1f65551696ab8d1  ]",
    "[ m_proto.c: 7e15bd38aa21900c38cb7aafc90151e6  ]",
    "[ m_pseudo.c: 059e6accb02d327e7a6db9f245933de5  ]",
    "[ m_quit.c: db6727e36513e1c128e0fdd2ad8cf985  ]",
    "[ m_rehash.c: 25c5ef7621472ecbbe1be453ad02bce4  ]",
    "[ m_reset.c: 4b4bd621339059f37e154a32bd1b084d  ]",
    "[ m_restart.c: 811c979626026c8aaae648d98b9b5011  ]",
    "[ m_rping.c: 6efcb2e51c5ed25394609d585bdc1332  ]",
    "[ m_rpong.c: 4f4ea2684d9fd798bc5426ed4608aa95  ]",
    "[ m_server.c: 8d119f806ee688c1e8f9eaeecc33f31b  ]",
    "[ m_set.c: fda29e16a37962def8ce63dd62ece64a  ]",
    "[ m_settime.c: e591980ce340a357f6dae7f37fca4d0d  ]",
    "[ m_silence.c: 8a138ca99cabcc5fb22ae81b0728c544  ]",
    "[ m_squit.c: fce9937b323fd8c9db1fd1053f0ef269  ]",
    "[ m_stats.c: 8563a56bb45f02138bcb04b61519dae1  ]",
    "[ m_time.c: 2019490c2479faf3d9c9274ca5109f9a  ]",
    "[ m_tmpl.c: 912123fdffa75b8e1949abd786e04bd3  ]",
    "[ m_topic.c: cc7d4515bc248b831f0b2306425dbecf  ]",
    "[ m_trace.c: 3a50c115029931044bc33d6f84c962fd  ]",
    "[ m_uping.c: c6404edc9d7775a99a6fae9dbff28cee  ]",
    "[ m_user.c: 403234e9acfb51ea2753f48d5b5b8bbf  ]",
    "[ m_userhost.c: 93bc5d7a2f4b3b99802c305c3f761210  ]",
    "[ m_userip.c: 11b03dcb22453bb9d2777854590a73cd  ]",
    "[ m_version.c: 3957bb6af0d63d195531825b68c15bd8  ]",
    "[ m_wallchops.c: 532215f2039bcbbe5c0bad0454790f4f  ]",
    "[ m_wallops.c: 6f41e94fa6b06a24cec476fa13b50b20  ]",
    "[ m_wallusers.c: 04a2296da29141d765794d00b32d4e0e  ]",
    "[ m_wallvoices.c: ae9b6e6cb292e8b5531918f0b61ceeaf  ]",
    "[ m_webirc.c: dcd5a8882abf58f12bf203f2efecc1bd  ]",
    "[ m_who.c: d9cc60465bf9594168c982fbd58d7fdd  ]",
    "[ m_whois.c: 44be9e228c1dae4a6b2c72e7392f4c42  ]",
    "[ m_whowas.c: 48af9baa08d87b52036f63c73c2ef261  ]",
    "[ m_xquery.c: 5fc42acd864e185220f4091548c6d52f  ]",
    "[ m_xreply.c: 6f3829ab7c9193f0a5bbf0d061d7ed17  ]",
    "[ match.c: a11a98019a72ce11d3914c95e62451e4  ]",
    "[ memdebug.c: a226ec51fd3b52aadc648b24dcef29bb  ]",
    "[ motd.c: ac367f107f08769a8dce15d7456a87f7  ]",
    "[ msgq.c: 687d049e7afbd655a7ddff40b138c159  ]",
    "[ numnicks.c: 6867ac07bd81e899e6cdeca4f847ddf3  ]",
    "[ opercmds.c: 5d12db8adc7b8d50c1517a5d2510c456  ]",
    "[ os_generic.c: dfebd3ca2b375518244bfb9a5c9dfacd  ]",
    "[ packet.c: 96790688ee6d3851e00d84ad65fc41d9  ]",
    "[ parse.c: a34df429bd35d5ec482aee3c4ae85362  ]",
    "[ querycmds.c: 945aea3c57e670d554a7b61c520280a3  ]",
    "[ random.c: 2557c69d3659029711116a2a9c0ce20d  ]",
    "[ s_auth.c: 8a1861856e56bf6ea1afff713d1f3422  ]",
    "[ s_bsd.c: ae669c313746a435f8f4284308f40cd7  ]",
    "[ s_conf.c: 5fd5a933cc2ab00bf08a02302d40e1df  ]",
    "[ s_debug.c: 1f6a2f12f8583be4ebecd4733fa8a9bc  ]",
    "[ s_err.c: 61ff813884f1e3c42df196f26827e950  ]",
    "[ s_misc.c: 53c421963e75f2df89b7ebfd5400c7aa  ]",
    "[ s_numeric.c: 049289d31c2061b004444f7094141d35  ]",
    "[ s_serv.c: 3cbd2a7c77da8be73b9702ddb7696cb5  ]",
    "[ s_stats.c: e33eec073c09968c3a8f96c2702b9cb6  ]",
    "[ s_user.c: c2a2f0de84089e10f8cac0dc53e7ab11  ]",
    "[ send.c: 4d3857f6304d69107d20ff72e895cd7d  ]",
    "[ table_gen.c: 0dabe13387b1364ae6f1bc0d80c5a1af  ]",
    "[ umkpasswd.c: 6314d5bcf31fde2fe42d5c23573bd0c7  ]",
    "[ uping.c: 92d25ecfe4501ffc6280034e682c31da  ]",
    "[ userload.c: 43f24643edc5d5210583834e13ac722d  ]",
    "[ whocmds.c: ea8555b89d2e8d247db358cdba6ade6c  ]",
    "[ whowas.c: 940cb2282863618144993ee25194f33d  ]",
    "[ version.c.SH: f2457e56f674b6e8ecca5c8841c8b1a2  ]",
    "",
    "Headers:",
    "[ IPcheck.h: 5b07d19b3bce682795118e11607bcbe7  ]",
    "[ capab.h: 59d754e633bbc1c155ddff825a4be9a6  ]",
    "[ channel.h: 1a9a41f6f86a6fae8c261ff882622903  ]",
    "[ class.h: 982fd2733dd5d633ff377ea69a3d8c22  ]",
    "[ client.h: 9f49fc12fece8e8d36ab7a12ddc9db14  ]",
    "[ crule.h: cfca78395dc5ef64c639bd7d2d057ddd  ]",
    "[ dbuf.h: 8ae3e9fd1aae24f4dbe02f5966404d21  ]",
    "[ destruct_event.h: 9d2cf6688987e8501f3931c6d2836f2c  ]",
    "[ fileio.h: 6d47e699433857b635f384ff92e5ab95  ]",
    "[ gline.h: 30ab28dd5194304c10dcdebb0bc9706f  ]",
    "[ handlers.h: ca2be076106f0fd1f2162c41fe08c16c  ]",
    "[ hash.h: b0fed26413fc54c506a0dfb993616578  ]",
    "[ ircd.h: c785c860ed23fbdb8ae0df286b735f22  ]",
    "[ ircd_alloc.h: 3fc43a6d81a0ff06cc45e6b3e3fc355d  ]",
    "[ ircd_chattr.h: cfb89f1b8960e715da6b2ddd0e6b167f  ]",
    "[ ircd_crypt.h: a3b1c8cb25658eb6d3399142b8b68f41  ]",
    "[ ircd_crypt_native.h: f45cffb8057501ec13411b7938811fc5  ]",
    "[ ircd_crypt_plain.h: 8869c2a51e1fbb01210fa1afdb12432f  ]",
    "[ ircd_crypt_smd5.h: c843f3b6fcfe255d1c939aa1bd7a45de  ]",
    "[ ircd_defs.h: 750c83f8d530f88dac47dff4c6f8e7c2  ]",
    "[ ircd_events.h: fc8ecd24e9f80739737b53feb6c3630f  ]",
    "[ ircd_features.h: 84d3ec708b5b271a580fc07787c12f55  ]",
    "[ ircd_handler.h: 00e029c07483e8415b527e912841b5d8  ]",
    "[ ircd_log.h: f451b7d89e0e4d9f4d5b33f7eb41216a  ]",
    "[ ircd_md5.h: 9a03f7967ef865a833829556ce2b1531  ]",
    "[ ircd_osdep.h: 1c8c22837fd5ab398c1d04a56f4dcbed  ]",
    "[ ircd_relay.h: bac62e994c4f5a134e4eb729c98d6a0b  ]",
    "[ ircd_reply.h: c0367aa1b9220008983b355359aefe12  ]",
    "[ ircd_reslib.h: 58bbd1174a39c1db382c9bdad4618b43  ]",
    "[ ircd_signal.h: 55ee2f2cae14ed7fa661902ed947ab41  ]",
    "[ ircd_snprintf.h: 817e39f18424c877071d5fad2547807e  ]",
    "[ ircd_string.h: 1d1885e8354aeb9af7d12d7a76e12308  ]",
    "[ jupe.h: f38cec5506abd1ee3b152ad2763a9f29  ]",
    "[ list.h: f90c11fb4164465bea968dc46b4d988a  ]",
    "[ listener.h: beb8c60874d655b26c71fbde68390d1d  ]",
    "[ match.h: 4ef258d0e0e24d25a8e45e3eef67405c  ]",
    "[ memdebug.h: e8da93cecec5a091e160dc2321d1f043  ]",
    "[ motd.h: a32cf315fc495555e90fe2ee29e6f7e3  ]",
    "[ msg.h: 8180b23962d9a2217740efc6e58a0240  ]",
    "[ msgq.h: 87632c3527e85b8b976e6eecedbbce31  ]",
    "[ numeric.h: 6cf81ade047fa079aaa4feef0033b1b8  ]",
    "[ numnicks.h: dc35cb9ba7729bf317d8590ca84275d9  ]",
    "[ opercmds.h: 94708db9f4ebcaa3c6b85532b0759120  ]",
    "[ packet.h: 85d28b3e40040545703c563b7e186c89  ]",
    "[ parse.h: 3a372bfb6f87d74ab0bb51b129e167da  ]",
    "[ patchlevel.h: 245a6ae297439c826831d01092d9a071  ]",
    "[ patchlist.h: 136c925b347c1343c272ff62b8c7b3c3  ]",
    "[ querycmds.h: e15cffb6fd80e497e6413d9edd2088ab  ]",
    "[ random.h: 8fd8dba1ef5aacc4c2e39e95917526a9  ]",
    "[ res.h: 8b3699e05ac2f058620e8c75a8028e14  ]",
    "[ s_auth.h: 40e59333b993cd9a1ba6ae1d50ae5518  ]",
    "[ s_bsd.h: 828896d2e25954abd5feac6ea637d726  ]",
    "[ s_conf.h: de075f975370ef6bedcf0de933ac6464  ]",
    "[ s_debug.h: c1205f8ba2b560dcc4343eadc335819f  ]",
    "[ s_misc.h: 94cf639d739cff7024959b180f7889e5  ]",
    "[ s_numeric.h: b1c7f167b8fccf22e53929787c3c2149  ]",
    "[ s_serv.h: fb69ca5a8ef459e6b7d38b7401b2ecda  ]",
    "[ s_stats.h: a24326d783150f86c58d440550148235  ]",
    "[ s_user.h: fa46bacf7065a8296af0d115d2c168f1  ]",
    "[ send.h: 00010731cf859f64d7ab879ac3b29928  ]",
    "[ struct.h: 6f9a266621069847f30f8ef3cb031727  ]",
    "[ supported.h: 5caaa72318a0551868a8a077a2ed76e4  ]",
    "[ sys.h: 29de2f8c88c76bd020f993646cd92a04  ]",
    "[ umkpasswd.h: ac91b053fd7bf3b895014e5f5674ba6d  ]",
    "[ uping.h: 60768d27900372d7a2a294180a1a2539  ]",
    "[ userload.h: 0b7facaf2d3cd66b50e922d753f2b24e  ]",
    "[ version.h: 84b78c08ba3a4a161b69b0c8683b341b  ]",
    "[ whocmds.h: f661e91e212a1e9a70f70058bf548159  ]",
    "[ whowas.h: cb3efcbeb301c242c9ee339ee3c1f3f8  ]",
    0,
};
